#ifndef GLSTUFF_H
#define GLSTUFF_H

#pragma comment( lib, "opengl32.lib" )
#pragma comment( lib, "glu32.lib" )
#pragma comment( lib, "glaux.lib" )

#include <windows.h>
#include <gl\gl.h>
#include <gl\glu.h>
#include <gl\glaux.h>

#include "console.h"
#include "texture.h"
#include "main.h"
#include "gl_ext.h"



typedef struct {
	int width;
	int left;
	int top;
	int height;
	int fullscreen;
	int bpp;
	int wireframe;
	int lighting;
	int textureson;
	int cartoonmode;
	int cell_shade;
} ascreenmode;




int	vidrestart(void);
int initgl(void);
int createglwindow(void);
int killglwindow(void);


#endif